@import '_content/Gurux.DLMS.AMI.Components/Gurux.DLMS.AMI.Components.bundle.scp.css';

/* /Development/DeviceImporter/DeviceImporterExtension.razor.rz.scp.css */
textarea.fill[b-l1ymznoaw4] {
    width: 100%;
    height: 99%;
    resize: none;
    border-width: 0px;
    border: none;
    border-color: Transparent;
}
/* /Helpers/FileSelector.razor.rz.scp.css */
.draggable[b-sa74yw72ko] {
    margin-bottom: 10px;
    padding: 10px 25px;
    border: 1px solid #0d6efd;
    cursor: grab;
    background: #0d6efd;
    color: white;
    border-radius: 5px;
    width: 100%;
}

    .draggable:active[b-sa74yw72ko] {
        cursor: grabbing;
    }

.description[b-sa74yw72ko] {
    font-size: 18px;
}

.drop-zone[b-sa74yw72ko] {
    padding: 20px;
    width: 100%;
    min-height: 100px;
    border: 2px dashed #0087F7;
    border-radius: 5px;
}

    .drop-zone.hover[b-sa74yw72ko] {
        border-style: solid;
    }
/* /Helpers/Selection/SelectionContainer.razor.rz.scp.css */
.selection-container[b-2egx80ph7r] {
    display: flex;
    justify-content: space-around;
}
/* /Helpers/Selection/SelectionItem.razor.rz.scp.css */
.draggable[b-zts3hljscl] {
    margin-bottom: 10px;
    padding: 10px 25px;
    border: 1px solid #0d6efd;
    cursor: grab;
    background: #0d6efd;
    color: white;
    border-radius: 5px;
    width: 100%;
}

    .draggable:active[b-zts3hljscl] {
        cursor: grabbing;
    }

.description[b-zts3hljscl] {
    font-size: 18px;
}
/* /Helpers/Selection/SelectionList.razor.rz.scp.css */
.selection-status[b-gezstumuz2] {
    display: flex;
    flex-direction: column;
    width: 50%;
}

    .selection-status ul[b-gezstumuz2] {
        flex: 1;
    }

.dropzone[b-gezstumuz2] {
    padding: 30px;
    border: 1px dashed #75868a;
    list-style: none;
}

.no-drop[b-gezstumuz2] {
    border: 2px dashed red;
}

.can-drop[b-gezstumuz2] {
    border: 2px dashed green;
}
/* /Shared/BlockTile.razor.rz.scp.css */
.close[b-cz53oy138k] {
    float: right;
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: .5
}

    .close:hover[b-cz53oy138k] {
        color: #000;
        text-decoration: none
    }

    .close:not(:disabled):not(.disabled):focus[b-cz53oy138k], .close:not(:disabled):not(.disabled):hover[b-cz53oy138k] {
        opacity: .75
    }

button.close[b-cz53oy138k] {
    padding: 0;
    background-color: transparent;
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none
}

a.close.disabled[b-cz53oy138k] {
    pointer-events: none
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-fg7a9msvd2] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-fg7a9msvd2] {
    flex: 1;
}


.header[b-fg7a9msvd2] {
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    display: flex;
}

.footer[b-fg7a9msvd2] {
    position: fixed;
    bottom: 0px;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    display: flex;
}

.sidebar[b-fg7a9msvd2] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-fg7a9msvd2] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-fg7a9msvd2]  a, .top-row[b-fg7a9msvd2]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-fg7a9msvd2]  a:hover, .top-row[b-fg7a9msvd2]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-fg7a9msvd2]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-fg7a9msvd2] {
        display: none;
    }

    .top-row.auth[b-fg7a9msvd2] {
        justify-content: space-between;
    }

    .top-row[b-fg7a9msvd2]  a, .top-row[b-fg7a9msvd2]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-fg7a9msvd2] {
        flex-direction: row;
    }

    .sidebar[b-fg7a9msvd2] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-fg7a9msvd2] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-fg7a9msvd2]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-fg7a9msvd2], article[b-fg7a9msvd2] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

.green-color[b-fg7a9msvd2] {
    color: green;
}
/* /Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-w78q7gpk1a] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-w78q7gpk1a] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-w78q7gpk1a] {
    font-size: 1.1rem;
}

.oi[b-w78q7gpk1a] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-w78q7gpk1a] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-w78q7gpk1a] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-w78q7gpk1a] {
        padding-bottom: 1rem;
    }

    .nav-item[b-w78q7gpk1a]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-w78q7gpk1a]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-w78q7gpk1a]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-w78q7gpk1a] {
        display: none;
    }

    .collapse[b-w78q7gpk1a] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* /Shared/StatusTile.razor.rz.scp.css */
.close[b-aaq6q8f1re] {
    float: right;
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: .5
}

    .close:hover[b-aaq6q8f1re] {
        color: #000;
        text-decoration: none
    }

    .close:not(:disabled):not(.disabled):focus[b-aaq6q8f1re], .close:not(:disabled):not(.disabled):hover[b-aaq6q8f1re] {
        opacity: .75
    }

button.close[b-aaq6q8f1re] {
    padding: 0;
    background-color: transparent;
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none
}

a.close.disabled[b-aaq6q8f1re] {
    pointer-events: none
}
/* /Shared/TopMenu.razor.rz.scp.css */
.button[b-zgb61e0je2] {
    background-color: whitesmoke;
    border: none;
    color: Black;
    padding: 8px 8px;
    text-align: center;
    opacity: 0.6;
    transition: 0.3s;
    display: inline-block;
    text-decoration: none;
    cursor: pointer;
    outline: none;
}

    .button:hover[b-zgb61e0je2] {
        opacity: 1
    }
